Subject: Re: [bug#63863] [PATCH] gnu: home: Add support for home-pipewire-service

From: Andrew Tropin <[email-masked]>
Date: Wed, 14 Jun 2023 13:08:36 +0400

On 2023-06-13 08:20, Brian Cully wrote:

> Andrew Tropin <[email-masked]> writes:
>>> Or would something like "PipeWire media processing" seem to 
>>> suit it
>>> better for you?
>>
>> Yep.
>
> Works for me.
>
>> Anyway, without the config above alsamixer doesn't work on my 
>> system,
>> probably with some configuration it's possible to make it work, 
>> but
>> bypassing pipewire, however I think it would be nice to go full
>> pipewire.
>
> I've just tried using ‘alsamixer’ from the ‘alsa-utils’ package 
> this morning, and it works for me without any additional 
> configuration. It shows both ‘Card’ and ‘Chip’ to be ‘PulseAudio’, 
> and volume control works. Although, that is with PulseAudio 
> emulation enabled.

With config mentioned earlier it shows PipeWire in Card and Chip.

> Should the ALSA configuration always be added?  Or just if it's
> enabled in configuration (possibly defaulting #t)?

Yep, I think it should be always added by default.

Also, it make sense to disable autospawn of pulseaudio to prevent
accidential interference.

Like this:
https://git.sr.ht/~abcdw/rde/tree/4365d81c0775beb0f623b756423e17275dbb2d00/src/rde/features/linux.scm#L128

-- 
Best regards,
Andrew Tropin